Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating a discount.

code is optional; if not provided, we generate a random 16-char code.

amount
integer<int32>
required

The discount amount.

  • If discount_type is not percentage, amount is in USD cents. For example, 100 means $1.00. Only USD is allowed.
  • If discount_type is percentage, amount is in basis points. For example, 540 means 5.4%.

Must be at least 1.

type
enum<string>
required

The discount type (e.g. percentage, flat, or flat_per_unit).

Available options:
percentage
code
string | null

Optionally supply a code (will be uppercased).

  • Must be at least 3 characters if provided.
  • If omitted, a random 16-character code is generated.
expires_at
string<date-time> | null

When the discount expires, if ever.

name
string | null
restricted_to
string[] | null

List of product IDs to restrict usage (if any).

subscription_cycles
integer<int32> | null

Number of subscription billing cycles this discount is valid for. If not provided, the discount will be applied indefinitely to all recurring payments related to the subscription.

usage_limit
integer<int32> | null

How many times this discount can be used (if any). Must be >= 1 if provided.

Response

Created discount

amount
integer<int32>
required

The discount amount.

  • If discount_type is percentage, this is in basis points (e.g., 540 => 5.4%).
  • Otherwise, this is USD cents (e.g., 100 => $1.00).
business_id
string
required

The business this discount belongs to.

code
string
required

The discount code (up to 16 chars).

created_at
string<date-time>
required

Timestamp when the discount is created

discount_id
string
required

The unique discount ID

restricted_to
string[]
required

List of product IDs to which this discount is restricted.

times_used
integer<int32>
required

How many times this discount has been used.

type
enum<string>
required

The type of discount, e.g. percentage, flat, or flat_per_unit.

Available options:
percentage
expires_at
string<date-time> | null

Optional date/time after which discount is expired.

name
string | null

Name for the Discount

subscription_cycles
integer<int32> | null

Number of subscription billing cycles this discount is valid for. If not provided, the discount will be applied indefinitely to all recurring payments related to the subscription.

usage_limit
integer<int32> | null

Usage limit for this discount, if any.